Loading...
Searching...
No Matches
websocketpp::uri Class Reference

## Public Member Functions

| uri (std::string const &uri_string)
| uri (bool secure, std::string const &host, uint16_t port, std::string const &resource)
| uri (bool secure, std::string const &host, std::string const &resource)
| uri (bool secure, std::string const &host, std::string const &port, std::string const &resource)
| uri (std::string const &scheme, std::string const &host, uint16_t port, std::string const &resource)
| uri (std::string scheme, std::string const &host, std::string const &resource)
| uri (std::string const &scheme, std::string const &host, std::string const &port, std::string const &resource)
bool | get_valid () const
bool | is_ipv6_literal () const
bool | get_secure () const
std::string const & | get_scheme () const
std::string const & | get_host () const
std::string | get_host_port () const
std::string | get_authority () const
uint16_t | get_port () const
std::string | get_port_str () const
std::string const & | get_resource () const
std::string | str () const
std::string | get_query () const
| Return the query portion.

## Detailed Description

Definition at line 397 of file uri.hpp.

## Constructor & Destructor Documentation

## uri() [1/7]

websocketpp::uri::uri | ( | std::string const & | uri_string | ) |

inline explicit

Definition at line 399 of file uri.hpp.

## uri() [2/7]

websocketpp::uri::uri | ( | bool | secure,
|  | std::string const & | host,
|  | uint16_t | port,
|  | std::string const & | resource )

inline

Definition at line 568 of file uri.hpp.

## uri() [3/7]

websocketpp::uri::uri | ( | bool | secure,
|  | std::string const & | host,
|  | std::string const & | resource )

inline

Definition at line 580 of file uri.hpp.

## uri() [4/7]

websocketpp::uri::uri | ( | bool | secure,
|  | std::string const & | host,
|  | std::string const & | port,
|  | std::string const & | resource )

inline

Definition at line 591 of file uri.hpp.

## uri() [5/7]

websocketpp::uri::uri | ( | std::string const & | scheme,
|  | std::string const & | host,
|  | uint16_t | port,
|  | std::string const & | resource )

inline

Definition at line 605 of file uri.hpp.

## uri() [6/7]

websocketpp::uri::uri | ( | std::string | scheme,
|  | std::string const & | host,
|  | std::string const & | resource )

inline

Definition at line 617 of file uri.hpp.

## uri() [7/7]

websocketpp::uri::uri | ( | std::string const & | scheme,
|  | std::string const & | host,
|  | std::string const & | port,
|  | std::string const & | resource )

inline

Definition at line 628 of file uri.hpp.

## Member Function Documentation

## get_authority()

std::string websocketpp::uri::get_authority | ( |  | ) | const

inline

Definition at line 683 of file uri.hpp.

## get_host()

std::string const & websocketpp::uri::get_host | ( |  | ) | const

inline

Definition at line 663 of file uri.hpp.

## get_host_port()

std::string websocketpp::uri::get_host_port | ( |  | ) | const

inline

Definition at line 667 of file uri.hpp.

## get_port()

uint16_t websocketpp::uri::get_port | ( |  | ) | const

inline

Definition at line 693 of file uri.hpp.

## get_port_str()

std::string websocketpp::uri::get_port_str | ( |  | ) | const

inline

Definition at line 697 of file uri.hpp.

## get_query()

std::string websocketpp::uri::get_query | ( |  | ) | const

inline

Return the query portion.

Returns the query portion (after the ?) of the URI or an empty string if there is none.

Returns
  query portion of the URI.

Definition at line 732 of file uri.hpp.

## get_resource()

std::string const & websocketpp::uri::get_resource | ( |  | ) | const

inline

Definition at line 703 of file uri.hpp.

## get_scheme()

std::string const & websocketpp::uri::get_scheme | ( |  | ) | const

inline

Definition at line 659 of file uri.hpp.

## get_secure()

bool websocketpp::uri::get_secure | ( |  | ) | const

inline

Definition at line 655 of file uri.hpp.

## get_valid()

bool websocketpp::uri::get_valid | ( |  | ) | const

inline

Definition at line 642 of file uri.hpp.

## is_ipv6_literal()

bool websocketpp::uri::is_ipv6_literal | ( |  | ) | const

inline

Since
  0.8.3

Returns
  True if the host of this URI is an IPv6 literal address

Definition at line 651 of file uri.hpp.

## str()

std::string websocketpp::uri::str | ( |  | ) | const

inline

Definition at line 707 of file uri.hpp.

The documentation for this class was generated from the following file:

- websocketpp/uri.hpp